التوثيق

Create a webhook endpoint

Creates a new webhook endpoint. The response includes the signing secret which is only shown once. Store it securely to verify webhook signatures.

POST
/webhook-endpoints

Creates a new webhook endpoint. The response includes the signing secret which is only shown once. Store it securely to verify webhook signatures.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/webhook-endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/webhooks",    "enabledEvents": [      "string"    ]  }'
{  "id": "string",  "object": "webhook_endpoint",  "url": "string",  "description": "string",  "status": "enabled",  "enabledEvents": [    "string"  ],  "livemode": true,  "metadata": {    "property1": null,    "property2": null  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "secret": "string"}